import { Modifier } from './modifiers';
export interface Method {
    name: string;
    returnType: string;
    parameters: {
        name: string;
        type: string;
    }[];
    modifiers: Modifier[];
}
/**
 * Extracts all Methods from a Java Class.
 * @param javaClass - the java class to extract the methods from
 * @returns the methods of the class
 */
export declare function getMethods(possibleMethods: string[]): Method[];
